Package com.google.javascript.jscomp

# Enum CheckLevelLegacy

java.lang.Object
java.lang.Enum<CheckLevelLegacy>
com.google.javascript.jscomp.CheckLevelLegacy

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckLevelLegacy>`, `java.lang.constant.Constable`

public enum CheckLevelLegacy extends Enum<CheckLevelLegacy>
Enum used in flags to control the behavior of JS compiler checks. These must be converted to CheckLevel enums before being used to control options. Only use this for legacy flags. For new flags, simply use `CheckLevel`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`LEGACY`
`OFF`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static CheckLevelLegacy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CheckLevelLegacy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEGACY

public static final CheckLevelLegacy LEGACY

### OFF

public static final CheckLevelLegacy OFF

### WARNING

public static final CheckLevelLegacy WARNING

### ERROR

public static final CheckLevelLegacy ERROR

## Method Details

### values

public static CheckLevelLegacy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CheckLevelLegacy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null